# React Start Kit
A React Start Kit with
Domain Directory Structure & Airbnb eslint & Webpack


## How to satrt
```xml
1.Clone this project
2.Install node js (https://nodejs.org/en/)
3.Command line(in project folder) => npm run project-init
4.Command line(in project folder) => npm run start
5.Enjoy coding
```

## How to setup your backend Server
```xml
1.open VSCode search all by "(!!!"
2.you can find "(!!!Your localhost)" 、 "(!!!Your serverhost)" 、 "(!!!Your API Path)" 、 "(!!!Your API server hostname)" 、 "(!!!Your front-end path on server)" 、 "(!!!Your back-end path on server)" 、 "(!!!frontend path on server)" 
3.replace it by your environment
```

## How to deploy
```xml
Command line(in project folder) => npm run deploy
```

